Support » Plugin: WP Fastest Cache » Is this plugin compatible with iThemes Security?

  • Resolved nlpro

    (@nlpro)


    Is this plugin compatible with iThemes Security?

    Reason for this question is this iThemes Security topic.

    Also please add this question (and answer) to your FAQ right next to the “Is this plugin compatible with Wordfence Security?” entry 😉

    The iThemes Security (iTSec) plugin makes use of the DONOTCACHEPAGE constant to prevent pages (like the lockout page) from being cached. WP Fastest Cache plugin code however does not seem to check for the DONOTCACHEPAGE constant (where other popular caching plugins like W3 Total Cache and WP Super Cache do). Therefor I’m inclined to think your caching plugin is not compatible with the iTSec plugin. Correct me if I’m wrong (Note I’m well aware of your Exclude Page feature).

    • This topic was modified 9 months ago by nlpro.
Viewing 4 replies - 1 through 4 (of 4 total)
  • nlpro

    (@nlpro)

    Actually a closer look reveals your plugin does check whether the DONOTCACHEPAGE constant is defined (though it does not check the value) but the WordFence plugin must be active and http_response_code() equal to 503 to exclude the page from caching … (callback() method in the inc/cache.php file).

    So still incompatible with the iTSec plugin (or any other plugin that makes use of the DONOTCACHEPAGE constant to exclude a page from caching) …

    Again, correct me if I’m wrong.

    Plugin Author Emre Vona

    (@emrevona)

    Please contact me via email: https://www.wpfastestcache.com/contact-us/

    nlpro

    (@nlpro)

    Marking as resolved as out of the box this plugin is NOT compatible with the iThemes Security (PRO) plugin.

    Hi! I’ve been struggling with the same issue on my sites as in the original post. Oddly this never happened before until week, where all sites pretty much got locked down at once. Initially I thought it was iTSec messing up, took me a while to realize it was a caching issue…

    @nlpro I’m guessing you didn’t find any solution? I’ve shut down Fastest Cache on all my sites for now to prevent this from happening, but would really love to continue using both plugins.

    • This reply was modified 8 months, 2 weeks ago by sten360.
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Is this plugin compatible with iThemes Security?’ is closed to new replies.